LSLOCKS(8)

NOM
lslocks - Afficher les verrous système locaux

SYNOPSIS

lslocks [options]

DESCRIPTION

lslocks affiche des renseignements sur les verrous de fichier actuellement maintenus dans un système Linux.

Note that lslocks also lists OFD (Open File Description) locks, these locks are not associated with any process (PID is -1). OFD locks are associated with the open file description on which they are acquired. This lock type is available since Linux 3.15, see fcntl(2) for more details.

OPTIONS

-b, --bytes
    Afficher la taille (colonne SIZE) en octet plutôt qu'en format lisible.

-i, --noinaccessible
    Ignorer les fichiers de verrou inaccessibles à l’utilisateur actuel.

-J, --json
    Utiliser le format de sortie JSON.

-n, --noheadings
    Ne pas imprimer de ligne d'en-tête.

-o, --output liste
    Specify which output columns to print. Use --help to get a list of all supported columns.

    La liste de colonnes par défaut peut être étendue si liste est indiquée sous la forme +liste (par exemple, lslocks -o +BLOCKER).

--output-all
    Afficher toutes les colonnes disponibles.

-p, --pid pid
    N’afficher que les verrous maintenus par le processus avec ce PID.

-r, --raw
    Utiliser l'affichage au format brut.

-u, --notruncate
    Ne pas tronquer le texte des colonnes.

-V, --version
    Afficher le nom et la version du logiciel et quitter.

-h, --help
    Afficher l’aide-mémoire puis quitter.

SORTIE

COMMAND
    Le nom de commande du processus qui détient le verrou.

PID
    L’identifiant de processus du processus qui détient le verrou ou -1 pour OFDLCK.

TYPE
    The type of lock; can be FLOCK (created with flock(2)), POSIX (created with fcntl(2) and lockf(3)) or OFDLCK (created with fcntl(2)).

SIZE
    La taille du fichier verrouillé.

MODE
    The lock’s access permissions (read, write). If the process is blocked and waiting for the lock, then the mode is postfixed with an '*' (asterisk).

M
    Whether the lock is mandatory; 0 means no (meaning the lock is only advisory), 1 means yes. (See fcntl(2).)

START
    Position relative en octet du verrou.

END
    Position finale du verrou.

PATH
    Full path of the lock. If none is found, or there are no permissions to read the path, it will fall back to the device’s mountpoint and "..." is appended to the path. The path might be truncated; use --notruncate to get the full path.

BLOCKER
    Le PID du processus qui bloque le verrou.

NOTES

The lslocks command is meant to replace the lslk(8) command, originally written by and unmaintained since 2001.

AUTEURS

VOIR AUSSI

flock(1), fcntl(2), lockf(3)

SIGNALER DES BOGUES

For bug reports, use the issue tracker at

DISPONIBILITÉ

The lslocks command is part of the util-linux package which can be downloaded from

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr> et David Prévot <david@tilapin.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.